Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.option.exslt
Class Common

    java.lang.Object
      net.sf.saxon.option.exslt.Common

    public abstract class Common

extends Object

This class implements extension functions in the http://exslt.org/common namespace.

Method Summary
`static ValueRepresentation` | `nodeSet(ValueRepresentation frag)` Convert a result tree fragment to a node-set.
`static String` | `objectType(XPathContext context, ValueRepresentation value)` Return the type of the supplied value: "sequence", "string", "number", "boolean", "external".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### nodeSet

    public static ValueRepresentation nodeSet(ValueRepresentation frag)

  Convert a result tree fragment to a node-set. This is a hangover from XSLT 1.0; it is implemented as a no-op.

### objectType

    public static String objectType(XPathContext context,
                                    ValueRepresentation value)

  Return the type of the supplied value: "sequence", "string", "number", "boolean", "external". (EXSLT spec not yet modified to cater for XPath 2.0 data model)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.